<?php 
function tpl_031_rwd_theme_options_init() {
	if ( false === tpl_031_rwd_get_theme_options() )
		add_option( 'tpl_031_rwd_theme_options', tpl_031_rwd_get_default_theme_options() );

	register_setting(
		'tpl_031_rwd_options',
		'tpl_031_rwd_theme_options',
		'tpl_031_rwd_theme_options_validate'
	);
}
add_action( 'admin_init', 'tpl_031_rwd_theme_options_init' );

function tpl_031_rwd_option_page_capability( $capability ) {
	return 'edit_theme_options';
}
add_filter( 'option_page_capability_tpl_031_rwd_options', 'tpl_031_rwd_option_page_capability' );

function tpl_031_rwd_theme_options_add_page() {
	$theme_page = add_theme_page(
		'テーマ設定',
		'テーマ設定',
		'edit_theme_options',
		'theme_options',
		'tpl_031_rwd_theme_options_render_page'
	);

	if ( ! $theme_page )
		return;
}
add_action( 'admin_menu', 'tpl_031_rwd_theme_options_add_page' );


function tpl_031_rwd_get_default_theme_options() {
	$default_theme_options = array(
		'logo' => 'logo.png',
	);
}

function tpl_031_rwd_get_theme_options() {
	return get_option( 'tpl_031_rwd_theme_options', tpl_031_rwd_get_default_theme_options() );
}

get_template_part('inc/theme-options-edit');


/*	ヘッダー ロゴ
/*---------------------------------------------------------*/
function tpl_031_rwd_print_Logo() {
	$options = tpl_031_rwd_get_theme_options();
	$logo = $options['logo'];
	if ($logo) {
		print $logo;
	} else {
		echo bloginfo('name');
	}
}
function tpl_031_rwd_print_Logo_slogan() {
	$options = tpl_031_rwd_get_theme_options();
	$logoSlogan = $options['logoSlogan'];
	if ($logoSlogan) {
		print '<span>'.$logoSlogan.'</span>';
	} 
}